org.eclipse.graphiti.ui.editor

## Interface IDiagramEditorInput

All Known Implementing Classes:
  DiagramEditorInput

    public interface IDiagramEditorInput

Since:
  0.9

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getProviderId()`
`org.eclipse.emf.common.util.URI` `getUri()`
`java.lang.String` `getUriString()`
`void` `setProviderId(java.lang.String providerId)`
`void` `updateUri(org.eclipse.emf.common.util.URI newURI)`

### Method Detail

#### getUriString

    java.lang.String getUriString()

#### getUri

    org.eclipse.emf.common.util.URI getUri()

#### getProviderId

    java.lang.String getProviderId()

#### setProviderId

    void setProviderId(java.lang.String providerId)

#### updateUri

    void updateUri(org.eclipse.emf.common.util.URI newURI)